Bug 241097 - Review Request: perl-Term-ReadLine-Gnu - Extension for the GNU Readline/History library
Summary: Review Request: perl-Term-ReadLine-Gnu - Extension for the GNU Readline/Histo...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-24 05:27 UTC by Paul Wouters
Modified: 2008-08-14 13:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 19:26:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Wouters 2007-05-24 05:27:39 UTC
Spec URL: ftp://ftp.xelerance.com/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.spec
SRPM URL: ftp://ftp.xelerance.com/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu-1.16-1.src.rpm
Description: Term::ReadLine::Gnu (TRG) is an implementation of the interface to the
GNU Readline Library.  This module gives you input line editing facility,
input history management facility, word completion facility, etc.  It uses
the real GNU Readline Library and has the interface with the almost all
variables and functions which are documented in the GNU Readline/History
Library.  So you can program your custom editing function, your custom
completion function, and so on with Perl.  TRG may be useful for a C
programmer to prototype a program which uses the GNU Readline Library.

Comment 1 Jochen Schmitt 2007-05-24 15:22:09 UTC
Good:
+ Rpmlint quite on source rpm.
+ Local build works fine.
+ Rpmlint quite on binary rpm

Bad:
- String message from rpmlint on debuginfo package (no blocker)
E: perl-Term-ReadLine-Gnu-debuginfo script-without-shebang
/usr/src/debug/Term-ReadLine-Gnu-1.16/Gnu.xs

I have an isue on start the following test script:

use Term::ReadLine;
$term = new Term::ReadLine 'ProgrammName';
while ( defined ($_ = $term->readLine('Prompt>'))) {
  print $_;
}

I will got the following error:

Cannot do `readLine' in Term::ReadLine::Gnu at test2.pl line 3







Comment 2 Paul Wouters 2007-06-01 20:41:38 UTC
I am seeing the same error when I try your example against the cpan installed
version. Though now I also see it in the application for which I needed the
package. So there is a real bug here. Looking into it.

Comment 3 Jochen Schmitt 2007-06-21 17:28:39 UTC
Ping paul@xelerance.com

Comment 4 Jochen Schmitt 2007-07-16 15:06:10 UTC
Ping agein,


Comment 5 Jochen Schmitt 2007-08-14 18:43:15 UTC
Ping agein.

Comment 6 Jochen Schmitt 2008-01-30 19:26:33 UTC
Review request will be closed as failed, because review requestor didn't
response on ping requests.


Note You need to log in before you can comment on or make changes to this bug.